Package twisted :: Package protocols :: Module imap4 :: Class PLAINAuthenticator

[frames | no frames]

## Class PLAINAuthenticator

Method Summary
| `__init__(self, user)`
| `challengeResponse(self, secret, chal)`
| `getName(self)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.imap4.IClient...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.imap4.IClientAuthentication at 0x8708e5c>,)

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net